'use strict';
module.exports = (sequelize, DataTypes) => {
  let activity = sequelize.define('activity', {
    name: {
      type:DataTypes.STRING,
      allowNull:false
    },
    order: {
      type:DataTypes.INTEGER,
      allowNull:false
    },
    status: {
      type:DataTypes.STRING,
      allowNull:false
    },
    wfId: {
      type:DataTypes.INTEGER,
      allowNull:false
    },
    acl: {
      type:DataTypes.INTEGER,
      allowNull:false
    },
    performers:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    packages: {
      type:DataTypes.INTEGER,
      allowNull:true
    },
    methods: {
      type:DataTypes.INTEGER,
      allowNull:false
    }
  });
  activity.associate = function(models) {
    // associations can be defined here
  };
  return activity;
};