'use strict';
module.exports = (sequelize, DataTypes) => {
  let packages = sequelize.define('packages', {
    name: {
      type:DataTypes.STRING
    },
    status: {
      type:DataTypes.STRING
    },
    data_path: {
      type:DataTypes.STRING
    }
  });
  packages.associate = function(models) {
    // associations can be defined here
    packages.belongsTo(models.queuedItem,{
      foreignKey:"packages",
      targetKey:"id"
      
    });

    packages.belongsTo(models.process,{
      foreignKey:"packages",
      targetKey:"id"
    });
  };
  return packages;
};