'use strict';
module.exports = (sequelize, DataTypes) => {
  let policy = sequelize.define('policy', {
    name: {
      type:DataTypes.STRING
    },
    condition: {
      type:DataTypes.STRING
    }
  });
  policy.associate = function(models) {
    // associations can be defined here
    policy.belongsToMany(models.workflow_acl,{
      through:models.acl_policy,
      foreignKey:"policy",
      targetKey:"id"
    });
  };
  return policy;
};