'use strict';
module.exports = (sequelize, DataTypes) => {
  let workflow_acl = sequelize.define('workflow_acl', {
    name: {
      type:DataTypes.STRING
    },
    policy: {
      type:DataTypes.INTEGER
    },
    permission: {
      type:DataTypes.INTEGER
    }
  });
  workflow_acl.associate = function(models) {
    // associations can be defined here
    workflow_acl.belongsToMany(models.policy,{
      through:models.acl_policy,
      foreignKey:"acl",
      targetKey:"id"
    });
    workflow_acl.hasMany(models.queuedItem,{
      foreignKey:"acl"
    });
  };
  return workflow_acl;
};